-- MySQL dump 10.9
--
-- Host: localhost    Database: plo
-- ------------------------------------------------------
-- Server version	4.1.20

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `albumfoto`
--

DROP TABLE IF EXISTS `albumfoto`;
CREATE TABLE `albumfoto` (
  `kode` varchar(16) default NULL,
  `nama` varchar(128) default NULL,
  `unit` varchar(255) default NULL,
  `telpon` varchar(20) default NULL,
  `email` varchar(40) default NULL,
  `hal` varchar(255) default NULL,
  `jenis` varchar(20) default NULL,
  `pesan` text,
  `lengkap` text,
  `status` char(1) default NULL,
  `kategori` char(1) default NULL,
  `urut` int(11) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`,`status`,`kategori`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `albumfotof`
--

DROP TABLE IF EXISTS `albumfotof`;
CREATE TABLE `albumfotof` (
  `kode` varchar(16) default NULL,
  `urut` bigint(20) unsigned NOT NULL auto_increment,
  `tanggal` varchar(20) default NULL,
  `status` char(1) default NULL,
  `nama` varchar(60) default NULL,
  `pesan` text,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `arsip`
--

DROP TABLE IF EXISTS `arsip`;
CREATE TABLE `arsip` (
  `kode` varchar(16) default NULL,
  `nama` varchar(128) default NULL,
  `unit` varchar(255) default NULL,
  `telpon` varchar(32) default NULL,
  `email` varchar(40) default NULL,
  `hal` varchar(255) default NULL,
  `jenis` varchar(20) default NULL,
  `pesan` text,
  `status` char(1) default NULL,
  `kategori` varchar(60) default NULL,
  `urut` int(11) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`urut`),
  UNIQUE KEY `kodearsip` (`kode`),
  KEY `kode` (`kode`,`status`,`kategori`),
  KEY `arsipkode` (`kode`),
  KEY `arsipstatus` (`status`),
  KEY `nenama` (`nama`),
  KEY `myhal` (`hal`),
  KEY `mytelpon` (`telpon`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `arsipf`
--

DROP TABLE IF EXISTS `arsipf`;
CREATE TABLE `arsipf` (
  `kode` varchar(16) default NULL,
  `urut` bigint(20) unsigned NOT NULL auto_increment,
  `tanggal` varchar(20) default NULL,
  `status` char(1) default NULL,
  `nama` varchar(60) default NULL,
  `pesan` text,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `berita_baru`
--

DROP TABLE IF EXISTS `berita_baru`;
CREATE TABLE `berita_baru` (
  `berita` char(16) default NULL,
  `uname` char(30) default NULL,
  KEY `ber` (`berita`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `chat`
--

DROP TABLE IF EXISTS `chat`;
CREATE TABLE `chat` (
  `chat_id` int(11) NOT NULL auto_increment,
  `chat_name` varchar(64) default NULL,
  `start_time` datetime default NULL,
  PRIMARY KEY  (`chat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `chatmsg`
--

DROP TABLE IF EXISTS `chatmsg`;
CREATE TABLE `chatmsg` (
  `urut` bigint(20) unsigned NOT NULL auto_increment,
  `kapan` datetime default NULL,
  `uname` varchar(16) default NULL,
  `target` varchar(16) default NULL,
  `isgroup` char(1) default NULL,
  `msg` text,
  PRIMARY KEY  (`urut`),
  KEY `ci` (`kapan`,`uname`,`target`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `disposisi`
--

DROP TABLE IF EXISTS `disposisi`;
CREATE TABLE `disposisi` (
  `artikel` char(16) default NULL,
  `uname` char(20) default NULL,
  `att` char(20) default NULL,
  `disposisi` char(1) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `docu`
--

DROP TABLE IF EXISTS `docu`;
CREATE TABLE `docu` (
  `kode` varchar(16) default NULL,
  `nama` varchar(128) default NULL,
  `unit` varchar(128) default NULL,
  `telpon` varchar(128) default NULL,
  `email` varchar(128) default NULL,
  `hal` varchar(128) default NULL,
  `jenis` varchar(20) default NULL,
  `pesan` text,
  `status` char(1) default NULL,
  `kategori` char(1) default NULL,
  `urut` int(11) unsigned NOT NULL auto_increment,
  `topik` varchar(40) default NULL,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`,`status`,`kategori`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `docuf`
--

DROP TABLE IF EXISTS `docuf`;
CREATE TABLE `docuf` (
  `kode` varchar(16) default NULL,
  `urut` bigint(20) unsigned NOT NULL auto_increment,
  `tanggal` varchar(20) default NULL,
  `status` char(1) default NULL,
  `nama` varchar(60) default NULL,
  `pesan` text,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `event`
--

DROP TABLE IF EXISTS `event`;
CREATE TABLE `event` (
  `kode` varchar(16) default NULL,
  `uname` varchar(16) default NULL,
  `acara` varchar(128) default NULL,
  `kategori` varchar(30) default NULL,
  `tanggal` varchar(10) default NULL,
  `jamdari` varchar(5) default NULL,
  `jamke` varchar(5) default NULL,
  `tempat` varchar(30) default NULL,
  `keterangan` text,
  `urut` int(11) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`urut`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `grouping`
--

DROP TABLE IF EXISTS `grouping`;
CREATE TABLE `grouping` (
  `username` varchar(16) default NULL,
  `gid` varchar(16) default NULL,
  KEY `grp` (`username`,`gid`),
  KEY `gusername` (`username`,`gid`),
  KEY `grindex` (`username`),
  KEY `grindexx` (`username`,`gid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `groups`
--

DROP TABLE IF EXISTS `groups`;
CREATE TABLE `groups` (
  `gid` char(3) default NULL,
  `nama` char(80) default NULL,
  `pendek` char(20) default NULL,
  `leader` char(16) default NULL,
  UNIQUE KEY `gid` (`gid`),
  UNIQUE KEY `gid_2` (`gid`),
  UNIQUE KEY `gg` (`gid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `kamusugm`
--

DROP TABLE IF EXISTS `kamusugm`;
CREATE TABLE `kamusugm` (
  `kode` varchar(16) default NULL,
  `nama` varchar(40) default NULL,
  `unit` varchar(40) default NULL,
  `telpon` varchar(20) default NULL,
  `email` varchar(40) default NULL,
  `hal` varchar(255) default NULL,
  `jenis` varchar(20) default NULL,
  `pesan` text,
  `status` char(1) default NULL,
  `kategori` char(1) default NULL,
  KEY `kode` (`kode`,`status`,`kategori`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `kamusugmf`
--

DROP TABLE IF EXISTS `kamusugmf`;
CREATE TABLE `kamusugmf` (
  `kode` varchar(16) default NULL,
  `urut` bigint(20) unsigned NOT NULL auto_increment,
  `tanggal` varchar(20) default NULL,
  `status` char(1) default NULL,
  `nama` varchar(60) default NULL,
  `pesan` text,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `lembur`
--

DROP TABLE IF EXISTS `lembur`;
CREATE TABLE `lembur` (
  `urut` int(10) unsigned NOT NULL auto_increment,
  `pegawai` varchar(12) default NULL,
  `pejabat` varchar(12) default NULL,
  `pejabatub` varchar(12) default NULL,
  `perintah` text,
  `bahan` text,
  `pembayaran` text,
  `lainlain` text,
  `bulan` varchar(7) default NULL,
  PRIMARY KEY  (`urut`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `lemburf`
--

DROP TABLE IF EXISTS `lemburf`;
CREATE TABLE `lemburf` (
  `urut` int(10) unsigned NOT NULL auto_increment,
  `lembur` varchar(12) default NULL,
  `tanggal` varchar(20) default NULL,
  `dari` varchar(5) default NULL,
  `sampai` varchar(5) default NULL,
  `keterangan` text,
  PRIMARY KEY  (`urut`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `login`
--

DROP TABLE IF EXISTS `login`;
CREATE TABLE `login` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `uname` char(30) default NULL,
  `log` char(1) default NULL,
  `kapan` datetime default NULL,
  `dari` char(20) default NULL,
  UNIQUE KEY `id` (`id`),
  KEY `loginuname` (`uname`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `message`
--

DROP TABLE IF EXISTS `message`;
CREATE TABLE `message` (
  `message_id` int(11) NOT NULL auto_increment,
  `chat_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `user_name` varchar(64) default NULL,
  `message` text,
  `post_time` datetime default NULL,
  PRIMARY KEY  (`message_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `news`
--

DROP TABLE IF EXISTS `news`;
CREATE TABLE `news` (
  `kode` varchar(16) default NULL,
  `nama` varchar(128) default NULL,
  `unit` varchar(255) default NULL,
  `telpon` varchar(20) default NULL,
  `email` varchar(40) default NULL,
  `hal` varchar(255) default NULL,
  `jenis` varchar(20) default NULL,
  `pesan` text,
  `lengkap` text,
  `status` char(1) default NULL,
  `kategori` char(1) default NULL,
  `urut` int(11) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`,`status`,`kategori`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `newsf`
--

DROP TABLE IF EXISTS `newsf`;
CREATE TABLE `newsf` (
  `kode` varchar(16) default NULL,
  `urut` bigint(20) unsigned NOT NULL auto_increment,
  `tanggal` varchar(20) default NULL,
  `status` char(1) default NULL,
  `nama` varchar(60) default NULL,
  `pesan` text,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `nilai`
--

DROP TABLE IF EXISTS `nilai`;
CREATE TABLE `nilai` (
  `obyek` varchar(25) default NULL,
  `reviewer` varchar(16) default NULL,
  `komponen` varchar(16) default NULL,
  `score` int(11) default NULL,
  UNIQUE KEY `x` (`obyek`,`reviewer`,`komponen`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `penugasan`
--

DROP TABLE IF EXISTS `penugasan`;
CREATE TABLE `penugasan` (
  `pid` int(10) unsigned NOT NULL auto_increment,
  `tugas` int(10) unsigned default NULL,
  `petugas` varchar(16) default NULL,
  `tanggal` datetime default NULL,
  `selesai` datetime default NULL,
  `berulang` char(1) default NULL,
  `w0` char(1) default NULL,
  `w1` char(1) default NULL,
  `w2` char(1) default NULL,
  `w3` char(1) default NULL,
  `w4` char(1) default NULL,
  `w5` char(1) default NULL,
  `w6` char(1) default NULL,
  `durasi` varchar(5) default NULL,
  PRIMARY KEY  (`pid`),
  UNIQUE KEY `penugasan` (`tugas`,`petugas`,`tanggal`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `pesan_baru`
--

DROP TABLE IF EXISTS `pesan_baru`;
CREATE TABLE `pesan_baru` (
  `pesan` char(16) default NULL,
  `uname` char(30) default NULL,
  KEY `pesanbaruuname` (`uname`),
  KEY `pesanbarupesan` (`pesan`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `projects`
--

DROP TABLE IF EXISTS `projects`;
CREATE TABLE `projects` (
  `pid` int(11) NOT NULL auto_increment,
  `owner` int(11) NOT NULL default '0',
  `name` varchar(80) NOT NULL default '',
  `description` text NOT NULL,
  `active` tinyint(4) NOT NULL default '1',
  `deadline` varchar(10) NOT NULL default '',
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  UNIQUE KEY `pid` (`pid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `ruang`
--

DROP TABLE IF EXISTS `ruang`;
CREATE TABLE `ruang` (
  `kode` varchar(10) default NULL,
  `nama` varchar(30) default NULL,
  `bg` varchar(6) default NULL,
  `fg` varchar(6) default NULL,
  `keterangan` text,
  `urut` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`urut`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `savedsms`
--

DROP TABLE IF EXISTS `savedsms`;
CREATE TABLE `savedsms` (
  `urut` int(10) unsigned NOT NULL auto_increment,
  `uname` varchar(12) default NULL,
  `pesan` text,
  `target` varchar(12) default NULL,
  PRIMARY KEY  (`urut`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `skeluar`
--

DROP TABLE IF EXISTS `skeluar`;
CREATE TABLE `skeluar` (
  `kode` varchar(16) default NULL,
  `nama` varchar(255) default NULL,
  `unit` text,
  `telpon` varchar(20) default NULL,
  `email` varchar(40) default NULL,
  `hal` varchar(254) default NULL,
  `jenis` varchar(128) default NULL,
  `pesan` text,
  `status` char(1) default NULL,
  `kategori` char(1) default NULL,
  `urut` int(11) unsigned NOT NULL auto_increment,
  `tembusan` text,
  `jpengirim` varchar(128) default NULL,
  `pengirim` varchar(128) default NULL,
  `expedisi` varchar(128) default NULL,
  `tgexpedisi` varchar(128) default NULL,
  `diterima` varchar(128) default NULL,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`,`status`,`kategori`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `skeluarf`
--

DROP TABLE IF EXISTS `skeluarf`;
CREATE TABLE `skeluarf` (
  `kode` varchar(16) default NULL,
  `urut` bigint(20) unsigned NOT NULL auto_increment,
  `tanggal` varchar(20) default NULL,
  `status` char(1) default NULL,
  `nama` varchar(60) default NULL,
  `pesan` text,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `sms`
--

DROP TABLE IF EXISTS `sms`;
CREATE TABLE `sms` (
  `urut` int(10) unsigned NOT NULL auto_increment,
  `uname` varchar(16) default NULL,
  `pesan` text,
  `target` varchar(6) default NULL,
  PRIMARY KEY  (`urut`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `soft`
--

DROP TABLE IF EXISTS `soft`;
CREATE TABLE `soft` (
  `kode` varchar(16) default NULL,
  `nama` varchar(40) default NULL,
  `unit` varchar(40) default NULL,
  `telpon` varchar(20) default NULL,
  `email` varchar(40) default NULL,
  `hal` varchar(60) default NULL,
  `jenis` varchar(20) default NULL,
  `pesan` text,
  `status` char(1) default NULL,
  `kategori` char(1) default NULL,
  `urut` int(11) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`,`status`,`kategori`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `softf`
--

DROP TABLE IF EXISTS `softf`;
CREATE TABLE `softf` (
  `kode` varchar(16) default NULL,
  `urut` bigint(20) unsigned NOT NULL auto_increment,
  `tanggal` varchar(20) default NULL,
  `status` char(1) default NULL,
  `nama` varchar(60) default NULL,
  `pesan` text,
  PRIMARY KEY  (`urut`),
  KEY `kode` (`kode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `target`
--

DROP TABLE IF EXISTS `target`;
CREATE TABLE `target` (
  `arsip` varchar(16) default NULL,
  `target` varchar(16) default NULL,
  KEY `targetarsip` (`arsip`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `tugas`
--

DROP TABLE IF EXISTS `tugas`;
CREATE TABLE `tugas` (
  `tid` int(10) unsigned NOT NULL auto_increment,
  `author` varchar(16) default NULL,
  `gid` char(3) default NULL,
  `tugas` varchar(80) default NULL,
  `keterangan` text,
  `jenis` char(1) default NULL,
  `active` char(1) default NULL,
  PRIMARY KEY  (`tid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `userid` smallint(6) NOT NULL auto_increment,
  `username` varchar(16) NOT NULL default '',
  `password` varchar(128) default NULL,
  `realname` mediumtext NOT NULL,
  `jabatan` mediumtext,
  `email` mediumtext NOT NULL,
  `mobile` varchar(30) default NULL,
  `log` char(1) default NULL,
  `kapan` datetime default NULL,
  `lastlog` datetime default NULL,
  `nip` varchar(9) default NULL,
  PRIMARY KEY  (`userid`),
  UNIQUE KEY `userid` (`userid`),
  KEY `usersuname` (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `usertarget`
--

DROP TABLE IF EXISTS `usertarget`;
CREATE TABLE `usertarget` (
  `surat` char(16) default NULL,
  `user` char(16) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

